Skip to content
Start here

Get Vectorize Index Info

vectorize.indexes.info(strindex_name, IndexInfoParams**kwargs) -> IndexInfoResponse
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}/info

Get information about a vectorize index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
index_name: str
ReturnsExpand Collapse
class IndexInfoResponse:
dimensions: Optional[int]

Specifies the number of dimensions for the index

maximum1536
minimum1
processed_up_to_datetime: Optional[datetime]

Specifies the timestamp the last mutation batch was processed as an ISO8601 string.

formatdate-time
processed_up_to_mutation: Optional[str]

The unique identifier for the async mutation operation containing the changeset.

maxLength36
vector_count: Optional[int]

Specifies the number of vectors present in the index

Get Vectorize Index Info

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.vectorize.indexes.info(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.dimensions)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}